Bug 1021112 - [abrt] NetworkManager-0.9.9.0-14.git20131003.fc20: _g_log_abort: Process /usr/sbin/NetworkManager was killed by signal 6 (SIGABRT)
[abrt] NetworkManager-0.9.9.0-14.git20131003.fc20: _g_log_abort: Process /usr...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
abrt_hash:adfb878f55876e61140ce778df1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-19 10:42 EDT by Philipp Dreimann
Modified: 2013-11-10 21:26 EST (History)
2 users (show)

See Also:
Fixed In Version: NetworkManager-0.9.9.0-15.git20131003.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 21:26:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (22.19 KB, text/plain)
2013-10-19 10:42 EDT, Philipp Dreimann
no flags Details
File: cgroup (152 bytes, text/plain)
2013-10-19 10:42 EDT, Philipp Dreimann
no flags Details
File: core_backtrace (14.94 KB, text/plain)
2013-10-19 10:42 EDT, Philipp Dreimann
no flags Details
File: dso_list (4.17 KB, text/plain)
2013-10-19 10:42 EDT, Philipp Dreimann
no flags Details
File: environ (72 bytes, text/plain)
2013-10-19 10:42 EDT, Philipp Dreimann
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-19 10:42 EDT, Philipp Dreimann
no flags Details
File: maps (20.58 KB, text/plain)
2013-10-19 10:42 EDT, Philipp Dreimann
no flags Details
File: open_fds (1.74 KB, text/plain)
2013-10-19 10:42 EDT, Philipp Dreimann
no flags Details
File: proc_pid_status (900 bytes, text/plain)
2013-10-19 10:42 EDT, Philipp Dreimann
no flags Details
File: var_log_messages (10.24 KB, text/plain)
2013-10-19 10:42 EDT, Philipp Dreimann
no flags Details

  None (edit)
Description Philipp Dreimann 2013-10-19 10:42:17 EDT
Version-Release number of selected component:
NetworkManager-0.9.9.0-14.git20131003.fc20

Additional info:
reporter:       libreport-2.1.8
backtrace_rating: 4
cmdline:        /usr/sbin/NetworkManager --no-daemon
crash_function: _g_log_abort
executable:     /usr/sbin/NetworkManager
kernel:         3.11.5-302.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (6 frames)
 #2 _g_log_abort at gmessages.c:255
 #5 nm_ip4_config_replace at nm-ip4-config.c:759
 #6 nm_device_set_ip4_config at devices/nm-device.c:4585
 #7 ip4_config_merge_and_apply at devices/nm-device.c:2433
 #8 update_ip_config at devices/nm-device.c:6223
 #9 queued_ip_config_change at devices/nm-device.c:6252
Comment 1 Philipp Dreimann 2013-10-19 10:42:22 EDT
Created attachment 813994 [details]
File: backtrace
Comment 2 Philipp Dreimann 2013-10-19 10:42:25 EDT
Created attachment 813995 [details]
File: cgroup
Comment 3 Philipp Dreimann 2013-10-19 10:42:28 EDT
Created attachment 813996 [details]
File: core_backtrace
Comment 4 Philipp Dreimann 2013-10-19 10:42:31 EDT
Created attachment 813997 [details]
File: dso_list
Comment 5 Philipp Dreimann 2013-10-19 10:42:33 EDT
Created attachment 813998 [details]
File: environ
Comment 6 Philipp Dreimann 2013-10-19 10:42:36 EDT
Created attachment 813999 [details]
File: limits
Comment 7 Philipp Dreimann 2013-10-19 10:42:39 EDT
Created attachment 814000 [details]
File: maps
Comment 8 Philipp Dreimann 2013-10-19 10:42:42 EDT
Created attachment 814001 [details]
File: open_fds
Comment 9 Philipp Dreimann 2013-10-19 10:42:45 EDT
Created attachment 814002 [details]
File: proc_pid_status
Comment 10 Philipp Dreimann 2013-10-19 10:42:48 EDT
Created attachment 814003 [details]
File: var_log_messages
Comment 11 Thomas Haller 2013-10-30 13:02:55 EDT
Thank you for reporting.

This crash was recently fixed by upstream commit http://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=0a557ac01d28340e43247eef52007a8b18bb24d8

(At this moment there is no new NetworkManager package in F20 yet, that fixes this issue)


The problem appears with connections that have IPv4 "never_default" flag set.
Comment 12 Fedora Update System 2013-11-08 08:44:13 EST
NetworkManager-0.9.9.0-15.git20131003.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/NetworkManager-0.9.9.0-15.git20131003.fc20
Comment 13 Fedora Update System 2013-11-08 13:37:30 EST
Package NetworkManager-0.9.9.0-15.git20131003.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-0.9.9.0-15.git20131003.fc20'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20932/NetworkManager-0.9.9.0-15.git20131003.fc20
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2013-11-10 21:26:54 EST
NetworkManager-0.9.9.0-15.git20131003.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.